/*
 * (C) Copyright Keith Visco 1999  All rights reserved.
 *
 * The contents of this file are released under an Open Source 
 * Definition (OSD) compliant license; you may not use this file 
 * execpt in compliance with the license. Please see license.txt, 
 * distributed with this file. You may also obtain a copy of the
 * license at http://www.clc-marketing.com/xslp/license.txt
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * The Copyright owner will not be liable for any damages suffered by
 * you as a result of using the Program. In no event will the Copyright
 * owner be liable for any special, indirect or consequential damages or
 * lost profits even if the Copyright owner has been advised of the
 * possibility of their occurrence.
 *
 * $Id$
 */

package com.kvisco.util;

/**
 * An implementation of the JDK 1.2 Iterator interface.
 * I wrote this because I want people using 1.1.x to be able 
 * to use my apps, but I also wanted to get a start in moving my 
 * source to JDK 1.2<BR>
 * @author <a href="mailto:kvisco@ziplink.net">Keith Visco</a>
 * @see java.util.Iterator
 * @version $Revision$ $Date$ 
**/
public interface Iterator {
    public boolean hasNext();
    public Object next();
    public Object remove();
} //-- Iterator
